

package com.jeelowcode.core.framework.mapper.example;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeelowcode.framework.global.JeeLowCodeBaseConstant;

import java.util.Date;
import java.util.List;
import java.util.Map;


public interface ExampleDbFormMapper {
    @DS(JeeLowCodeBaseConstant.DS_JEELOWCODE)
    IPage<Map<String, Object>> getStudentPage(Page page, Map<String, Object> params);
    @DS(JeeLowCodeBaseConstant.DS_JEELOWCODE)
    Long getStudentBySon(Long sno);
    @DS(JeeLowCodeBaseConstant.DS_JEELOWCODE)
    Integer delScoreByStudentId(List<Long> studentIdList);
    @DS(JeeLowCodeBaseConstant.DS_JEELOWCODE)
    Long getStudentExcludIdBySon(Long id, Long sno);
    @DS(JeeLowCodeBaseConstant.DS_JEELOWCODE)
    Map<String, Object> getStudentById(Long id);
    @DS(JeeLowCodeBaseConstant.DS_JEELOWCODE)
    // 通过日程管理id获取日历管理附表数据
    List<Map<String, Object>> getSubmoredateByMainDateId(Long mainDateId);
}
